Summary:       Spell checker
Name:          aspell
Version:       0.60.8.1
Release:       1%{?dist}
License:       LGPLv2+ and LGPLv2 and GPLv2+ and BSD
URL:           http://aspell.net/
Source0:       https://github.com/GNUAspell/aspell/releases/download/rel-%{version}/aspell-%{version}.tar.gz

Patch3000:     aspell-0.60.7-fileconflict.patch
Patch3001:     aspell-0.60.7-pspell_conf.patch
Patch3002:     aspell-0.60.7-mp.patch

BuildRequires: gcc-c++ make
BuildRequires: chrpath gettext ncurses-devel pkgconfig perl-interpreter

%description
GNU Aspell is a spell checker designed to eventually replace Ispell. It can
either be used as a library or as an independent spell checker. Its main
feature is that it does a much better job of coming up with possible
suggestions than just about any other spell checker out there for the
English language, including Ispell and Microsoft Word. It also has many
other technical enhancements over Ispell such as using shared memory for
dictionaries and intelligently handling personal dictionaries when more
than one Aspell process is open at once.

%package devel
Summary: Libraries and header files for Aspell development
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The aspell-devel package includes libraries
and header files needed for Aspell development.

%prep
%autosetup -p1
iconv -f iso-8859-2 -t utf-8 < manual/aspell.info > manual/aspell.info.aux
mv manual/aspell.info.aux manual/aspell.info

%build
%configure --disable-rpath
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
%make_build
cp scripts/aspell-import examples/aspell-import
chmod 644 examples/aspell-import
cp manual/aspell-import.1 examples/aspell-import.1

%install
%make_install

mkdir -p %{buildroot}%{_libdir}/aspell-0.60

mv %{buildroot}%{_libdir}/aspell-0.60/ispell %{buildroot}%{_bindir}
mv %{buildroot}%{_libdir}/aspell-0.60/spell %{buildroot}%{_bindir}

chrpath --delete %{buildroot}%{_libdir}/aspell-0.60//nroff-filter.so
chrpath --delete %{buildroot}%{_libdir}/aspell-0.60//sgml-filter.so
chrpath --delete %{buildroot}%{_libdir}/aspell-0.60//context-filter.so
chrpath --delete %{buildroot}%{_libdir}/aspell-0.60//email-filter.so
chrpath --delete %{buildroot}%{_libdir}/aspell-0.60//tex-filter.so
chrpath --delete %{buildroot}%{_libdir}/aspell-0.60//texinfo-filter.so
chrpath --delete %{buildroot}%{_libdir}/aspell-0.60//markdown-filter.so
chrpath --delete %{buildroot}%{_bindir}/aspell
chrpath --delete %{buildroot}%{_libdir}/libpspell.so.*

rm -f %{buildroot}%{_libdir}/libaspell.la
rm -f %{buildroot}%{_libdir}/libpspell.la
rm -f %{buildroot}%{_libdir}/aspell-0.60/*-filter.la
rm -f %{buildroot}%{_bindir}/aspell-import
rm -f %{buildroot}%{_mandir}/man1/aspell-import.1
rm -f %{buildroot}%{_infodir}/dir

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README TODO examples/aspell-import examples/aspell-import.1
%dir %{_libdir}/aspell-0.60
%{_bindir}/a*
%{_bindir}/ispell
%{_bindir}/pr*
%{_bindir}/run-with-aspell
%{_bindir}/spell
%{_bindir}/word-list-compress
%{_libdir}/lib*.so.*
%{_libdir}/aspell-0.60/*
%{_infodir}/aspell.*
%{_mandir}/man1/aspell.1.*
%{_mandir}/man1/run-with-aspell.1*
%{_mandir}/man1/word-list-compress.1*
%{_mandir}/man1/prezip-bin.1.*

%files devel
%dir %{_includedir}/pspell
%{_bindir}/pspell-config
%{_includedir}/aspell.h
%{_includedir}/pspell/pspell.h
%{_libdir}/lib*spell.so
%{_libdir}/pkgconfig/*
%{_infodir}/aspell-dev.*
%{_mandir}/man1/pspell-config.1*

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.60.8.1-1
- Upgrade to version 0.60.8.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.60.8-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.60.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.60.8-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jan 30 2023 wynnfeng <wynnfeng@tencent.com> - 0.60.8-1
- initial build
